/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.aspects;

import javax.validation.constraints.NotNull;

public class AdviceSubject {

    // Static method
    public static void staticMethod(@NotNull String p0) {
        p0.charAt(0);
    }

    // Visibility
    void methodWithVisibilityDefault(@NotNull String p0) {
        p0.charAt(0);
    }

    private void methodWithVisibilityPrivate(@NotNull String p0) {
        p0.charAt(0);
    }

    protected void methodWithVisibilityProtected(@NotNull String p0) {
        p0.charAt(0);
    }

    public void methodWithVisibilityPublic(@NotNull String p0) {
        p0.charAt(0);
    }

    public void internalCallToAdvisedMethod(String p0) {
        methodWithVisibilityPrivate(p0);
    }

    // Multiple parameters
    public void multiParamPos0(@NotNull String p0, String p1, String p2, String p3, String p4, String p5) {  p0.charAt(0); }
    public void multiParamPos1(String p0, @NotNull String p1, String p2, String p3, String p4, String p5) {  p1.charAt(0); }
    public void multiParamPos2(String p0, String p1, @NotNull String p2, String p3, String p4, String p5) {  p2.charAt(0); }
    public void multiParamPos3(String p0, String p1, String p2, @NotNull String p3, String p4, String p5) {  p3.charAt(0); }
    public void multiParamPos4(String p0, String p1, String p2, String p3, @NotNull String p4, String p5) {  p4.charAt(0); }
    public void multiParamPos5(String p0, String p1, String p2, String p3, String p4, @NotNull String p5) {  p5.charAt(0); }

    // Multiple annotations
    public void multiParamsAndAnnotations(@NotNull String p0, String p1, @NotNull String p2) { p0.charAt(0); p2.charAt(0); }
}
