/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.dao;

import java.util.Properties;

import org.hibernate.cache.infinispan.InfinispanRegionFactory;
import org.hibernate.cfg.Settings;
import org.infinispan.manager.EmbeddedCacheManager;

/**
 * http://azagorneanu.blogspot.com/2011/07/how-to-register-infinispan-listeners-in.html
 */
public final class InfinispanTracingRegionFactory extends InfinispanRegionFactory {

    private static final long serialVersionUID = 1L;

    @Override
    public void start(Settings settings, Properties properties) {
        super.start(settings, properties);
        addListener(getCacheManager(), new InfinispanCacheListener());
    }

    void addListener(EmbeddedCacheManager manager, InfinispanCacheListener listener) {
        manager.getCache("catapult_cache").addListener(listener);
        manager.addListener(listener);
    }
}