/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.service;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import almira.sample.admin.IndexAdministration;
import almira.sample.dao.DaoHibernateSearch;
import almira.sample.domain.Catapult;


/**
 * A service interface to rebuild the catapult search index.
 */
@Service("catapultIndexService")
public final class CatapultIndexService implements IndexAdministration {

    /** The catapult dao. */
    @Resource(name = "catapultDaoHibernateSearch")
    private DaoHibernateSearch<Catapult, Long> dao;

    public void setDao(DaoHibernateSearch<Catapult, Long> dao) {
        this.dao = dao;
    }

    /* (non-Javadoc)
     * @see almira.sample.service.IndexAdministrationService#rebuildIndex()
     */
    @Override
    @Transactional(readOnly = false)
    public void rebuildIndex() throws InterruptedException {
        dao.rebuildIndex();
    }
}
