/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.service;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import almira.sample.dao.Dao;
import almira.sample.domain.Catapult;
import almira.sample.service.ObjectLoadService;


/**
 * A service interface to load Catapults.
 */
@Service("catapultLoadService")
public final class CatapultLoadService implements ObjectLoadService<Catapult, Long> {

    @Resource(name = "catapultDaoHibernate")
    private Dao<Catapult, Long> dao;

    public void setDao(Dao<Catapult, Long> dao) {
        this.dao = dao;
    }

    @Override
    @Transactional(readOnly = true)
    public Catapult load(Long id) {
        return dao.findById(id, false);
    }
}
