/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.dao;

import org.infinispan.Cache;
import org.infinispan.manager.EmbeddedCacheManager;
import org.jmock.Expectations;
import org.jmock.Mockery;
import org.junit.Test;
import org.junit.runner.RunWith;

import almira.sample.dao.InfinispanCacheListener;
import almira.sample.dao.InfinispanTracingRegionFactory;

import com.mycila.testing.junit.MycilaJunitRunner;
import com.mycila.testing.plugin.jmock.Mock;
import com.mycila.testing.plugin.jmock.MockContext;

@RunWith(MycilaJunitRunner.class)
public class InfinispanTracingRegionFactoryTest {

    @MockContext private Mockery context;
    @Mock private EmbeddedCacheManager manager;
    @Mock private Cache<?, ?> cache;

    @Test
    public void addListenersToRegionFactory() {
        final InfinispanCacheListener listener = new InfinispanCacheListener();

        context.checking(new Expectations() {{
               oneOf(manager).getCache("catapult_cache"); will(returnValue(cache));
               oneOf(cache).addListener(listener);
               oneOf(manager).addListener(listener);
            }} );

        new InfinispanTracingRegionFactory().addListener(manager, listener);
    }
}
