/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.logging;

import java.util.logging.Handler;
import java.util.logging.LogRecord;
import java.util.logging.Logger;

public class TestingLogHandler extends Handler {

    private StringBuilder logOutput = new StringBuilder();
    private String lastLogRecord;

    @Override
    public void publish(LogRecord record) {
        lastLogRecord = record.getMessage().toString();
        logOutput.append(lastLogRecord);
    }
    @Override public void flush() { }
    @Override public void close() { }

    public String getLogOutput() {
        return logOutput.toString();
    }

    public String getLastLogRecord() {
        return lastLogRecord;
    }

    public static TestingLogHandler register() {
        TestingLogHandler testHandler = new TestingLogHandler();
        Logger.getLogger("").addHandler(testHandler);
        return testHandler;
    }
}
