/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.web;

import java.util.Arrays;
import java.util.Locale;

import org.apache.wicket.markup.html.WebPage;

import almira.sample.web.panel.LocaleDropDownPanel;


/**
 * Index page.
 */
public class PanelContainerPage extends WebPage {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new index.
     */
    public PanelContainerPage() {

        add(new LocaleDropDownPanel("localeSelectPanel",
                Arrays.asList(new Locale("es"), new Locale("de"),
                        new Locale("en"), new Locale("fr"), new Locale("it"))));

    }
}
