/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.web;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.apache.wicket.model.ResourceModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.apache.wicket.util.string.StringValue;

/**
 * Show page.
 */
public class ListCatapultsPage extends AbstractBasePage {

    private static final long serialVersionUID = 1L;

    /**
     * Constructor.
     *
     * @param params
     *            the page parameters
     */
    public ListCatapultsPage(PageParameters params) {
        super();
        StringValue query = params.get("searchString");
        add(new Label("term", getTermLabelModel(query.toString(""))));
        SearchResultPanel panel = new SearchResultPanel("catapults", query.toString());
        add(panel);
    }

    private IModel<?> getTermLabelModel(String query) {
        IModel<?> model = new Model<String>(query);
        if ("".equals(query)) {
            model = new ResourceModel("text.all.records");
        }
        return model;
    }
}
