/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.web;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;

import almira.sample.web.ListCatapultsPage;

public class SearchForm extends Form<String> {

    private static final long serialVersionUID = 1L;

    private String searchString;

    /**
     * Instantiates a new search form.
     *
     * @param id the id
     */
    public SearchForm(String id) {
        super(id);

        add(new TextField<String>("searchString",
              new PropertyModel<String>(this, "searchString")));
    }

    @Override
    public final void onSubmit() {
        PageParameters params = new PageParameters();
        if (searchString != null) {
            params.add("searchString", searchString);
        }
        setResponsePage(ListCatapultsPage.class, params);
    }

    public final String getSearchString() {
        return searchString;
    }

    public final void setSearchString(String string) {
        this.searchString = string;
    }
}