/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.web;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.model.CompoundPropertyModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.apache.wicket.spring.injection.annot.SpringBean;

import almira.sample.domain.Catapult;
import almira.sample.service.ObjectLoadService;


/**
 * Show page.
 */
public class ShowCatapultPage extends AbstractBasePage {

    private static final long serialVersionUID = 1L;

    @SpringBean(name = "catapultLoadService")
    private static ObjectLoadService<Catapult, Long> catapultLoadService;

    /**
     * Constructor.
     *
     * @param params the page parameters
     */
    public ShowCatapultPage(PageParameters params) {
        super();

        final String id = params.get("catapultId").toString();
        Catapult catapult = catapultLoadService.load(Long.parseLong(id));
        setDefaultModel(new CompoundPropertyModel<Catapult>(catapult));

        add(new Label("id"));
        add(new Label("name"));
        add(new Label("created"));
        add(new Label("lastModified"));
    }
}
