/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.web.model;


import java.util.Iterator;

import almira.sample.domain.Catapult;
import almira.sample.service.ObjectQueryService;

public final class CatapultListDataProvider extends
        AbstractCachingDataProvider<Catapult, Long> {

    private static final long serialVersionUID = 1L;

    public CatapultListDataProvider(
            ObjectQueryService<Catapult, Long> listService) {
        super(listService);
    }

    @Override
    protected Iterator<Catapult> query(int startIndex, int fetchSize) {
        return findAll(startIndex, fetchSize);
    }

    @Override
    protected int count() {
        return countAll();
    }
}
