/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package almira.sample.web.service;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * The Class FooterTextService.
 */
@Service
public class FooterTextService implements TextService {

    private String footerText;

    @Value("${rt.gui.footer.text}")
    public void setFooterText(String footerText) {
        this.footerText = footerText;
    }

    /* (non-Javadoc)
     * @see almira.sample.web.service.TextService#getText()
     */
    @Override
    public String getText() {
        return footerText;
    }
}
